curl --request GET \
--url https://api.starke.finance/v1/rksol/transactionsimport requests
url = "https://api.starke.finance/v1/rksol/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.starke.finance/v1/rksol/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.starke.finance/v1/rksol/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.starke.finance/v1/rksol/transactions"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.starke.finance/v1/rksol/transactions")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.starke.finance/v1/rksol/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"holderId": "Ho1der1111111111111111111111111111111111111",
"signature": "5Examp1eSignature1111111111111111111111111111111111111111111111111111111111111111111",
"kind": "buy",
"rksol": {
"amount": 10,
"price": 175.4,
"cost": 1754
},
"token": {
"mint": "So11111111111111111111111111111111111111112",
"symbol": "SOL",
"name": "Wrapped SOL",
"icon": "https://example.com/icons/sol.png",
"amount": -11.6,
"price": 151.2,
"cost": -1753.92
},
"timestamp": "2026-11-01T12:00:00.000Z"
},
{
"holderId": "Ho1der1111111111111111111111111111111111111",
"signature": "5Examp2eSignature1111111111111111111111111111111111111111111111111111111111111111111",
"kind": "transfer_out",
"rksol": {
"amount": -2,
"price": 175.6,
"cost": -351.2
},
"token": {
"mint": "EPCz5LK372vmvCkZH3HgSuGNKACJJwwxsofW6fypCPZL",
"symbol": "rkSOL",
"name": "Starke Staked SOL",
"icon": null,
"amount": 2,
"price": 175.6,
"cost": 351.2
},
"timestamp": "2026-11-01T09:30:00.000Z"
}
],
"pagination": {
"page": 1,
"pages": 1,
"limit": 100,
"total": 2
}
}{
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}List rkSOL transactions
Returns rkSOL holders’ transactions, newest first, one page at a time. Each has holderId, the holder’s wallet; the transaction signature; its kind (buy, sell, sell_all, first_buy, transfer_in, transfer_out or unknown); rksol, the change in the holder’s rkSOL with its USD price and cost when a price is known; token, the other side of the trade (null when there is none; for a transfer, rkSOL itself); and timestamp. Amounts are in whole tokens: negative for what the holder gave, positive for what they received. Fields with no value are left out of token and rksol, except that a transfer’s token.icon and token.cost can be null.
curl --request GET \
--url https://api.starke.finance/v1/rksol/transactionsimport requests
url = "https://api.starke.finance/v1/rksol/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.starke.finance/v1/rksol/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.starke.finance/v1/rksol/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.starke.finance/v1/rksol/transactions"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.starke.finance/v1/rksol/transactions")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.starke.finance/v1/rksol/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"holderId": "Ho1der1111111111111111111111111111111111111",
"signature": "5Examp1eSignature1111111111111111111111111111111111111111111111111111111111111111111",
"kind": "buy",
"rksol": {
"amount": 10,
"price": 175.4,
"cost": 1754
},
"token": {
"mint": "So11111111111111111111111111111111111111112",
"symbol": "SOL",
"name": "Wrapped SOL",
"icon": "https://example.com/icons/sol.png",
"amount": -11.6,
"price": 151.2,
"cost": -1753.92
},
"timestamp": "2026-11-01T12:00:00.000Z"
},
{
"holderId": "Ho1der1111111111111111111111111111111111111",
"signature": "5Examp2eSignature1111111111111111111111111111111111111111111111111111111111111111111",
"kind": "transfer_out",
"rksol": {
"amount": -2,
"price": 175.6,
"cost": -351.2
},
"token": {
"mint": "EPCz5LK372vmvCkZH3HgSuGNKACJJwwxsofW6fypCPZL",
"symbol": "rkSOL",
"name": "Starke Staked SOL",
"icon": null,
"amount": 2,
"price": 175.6,
"cost": 351.2
},
"timestamp": "2026-11-01T09:30:00.000Z"
}
],
"pagination": {
"page": 1,
"pages": 1,
"limit": 100,
"total": 2
}
}{
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Query Parameters
Comma-separated holder wallet addresses, 1 to 50 of them.
The page to return, starting at 1. Default 1.
1 <= x <= 9007199254740991Items per page, 1 to 1000. Default 100.
1 <= x <= 1000Response
A page of transactions.